Package org.bukkit.block.data.type

# Interface Beehive

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface Beehive extends Directional
'honey_level' represents the amount of honey stored in the hive.

## Method Summary

Modifier and Type
Method
Description
`int`
`getHoneyLevel()`
Gets the value of the 'honey_level' property.
`int`
`getMaximumHoneyLevel()`
Gets the maximum allowed value of the 'honey_level' property.
`void`
`setHoneyLevel(int honeyLevel)`
Sets the value of the 'honey_level' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### getHoneyLevel

int getHoneyLevel()
Gets the value of the 'honey_level' property.

Returns:
  the 'honey_level' value

### setHoneyLevel

void setHoneyLevel(int honeyLevel)
Sets the value of the 'honey_level' property.

Parameters:
  `honeyLevel` - the new 'honey_level' value

### getMaximumHoneyLevel

int getMaximumHoneyLevel()
Gets the maximum allowed value of the 'honey_level' property.

Returns:
  the maximum 'honey_level' value